package main

import (
	"context"
	"time"

	"code.hackerspace.pl/hscloud/bgpwtf/cccampix/verifier/model"
)

type processor interface {
	Name() string
	NextRun(time.Time) time.Time

	RunAll(ctx context.Context, m model.Model) error
}
